Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
huuhieu148

Xin lisp xuất cao độ dạng text khi pick trên bình đồ

Các bài được khuyến nghị

huuhieu148    0

Mình sử dụng nova, sau khi xuất toạ độ = lệnh cdtep, dùng lưới tam giác và chạy ra được đường đồng mức rồi, kiểm tra cao độ = lệnh CDTN đúng rồi .

 

Bây giờ nhờ anh em viết cho đoạn lisp pick vào 1 điểm nào đó trên bình đồ thì xuất ra cao độ ở dạng text ngay vị trí đó

Cám ơn các bác trước nhá.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tomboy    20
Mình sử dụng nova, sau khi xuất toạ độ = lệnh cdtep, dùng lưới tam giác và chạy ra được đường đồng mức rồi, kiểm tra cao độ = lệnh CDTN đúng rồi .

 

Bây giờ nhờ anh em viết cho đoạn lisp pick vào 1 điểm nào đó trên bình đồ thì xuất ra cao độ ở dạng text ngay vị trí đó

Cám ơn các bác trước nhá.

mình chưa thấy lưới tam giác đó như thế nào, bạn có thể gửi kèm bản vẽ lên được không.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
huuhieu148    0
mình chưa thấy lưới tam giác đó như thế nào, bạn có thể gửi kèm bản vẽ lên được không.

ý mình đại để như thế này : có các điểm biết toạ độ và cao độ , dùng lệnh CDTEP xuất vào trong nova, sau đó dùng lệnh LTG để tạo lưới tam giác giữa các điểm đó, dùng lệnh DM để chạy đường đông mức, các bước này Ok

bây giờ mình nhờ viết Lisp sao cho khi pick vào điểm bất kỳ trong khu vực đó thì nó sẽ suất ra cao độ dạng text tại điểm đó luôn (chỉ cần cao độ ko cần toạ độ) .nhưng cao độ tại điểm đó kiểm tra = lệnh CDTN thì phải trùng nhau

các bác đọc kỹ nhá

 

0 314.849 128.104 73.320

C1 314.249 124.642 73.140

2 308.692 114.815 72.620

3 313.051 117.720 72.800

M4 311.679 109.938 72.470

5 312.450 114.257 72.620

6 313.648 121.182 72.970

7 297.418 116.482 72.630

M8 301.176 115.925 72.630

9 284.171 118.031 72.520

M10 288.588 117.513 72.550

M11 293.001 116.997 72.590

M12 279.755 118.546 72.480

M13 270.879 119.567 72.470

M14 262.000 120.591 72.460

M15 308.034 119.924 72.730

M16 304.934 115.370 72.620

M7 240.457 123.084 72.440

M8 236.665 123.538 72.430

M9 244.245 122.633 72.440

M0 242.575 109.850 72.320

M1 238.936 110.444 72.320

M2 253.124 121.612 72.450

M3 229.085 124.441 72.420

M4 225.064 124.867 72.400

M5 217.024 125.724 72.350

M6 209.382 126.486 72.310

M27 213.003 126.151 72.330

M28 221.044 125.297 72.370

M29 223.434 119.226 72.100

M30 224.122 113.053 72.240

M31 227.655 112.368 72.310

C32 212.485 114.724 72.160

M33 232.876 123.990 72.430

34 198.516 127.495 72.260

35 202.137 127.160 72.270

36 191.195 128.391 72.130

37 183.874 129.284 72.000

38 187.534 128.836 72.060

39 194.856 127.943 72.190

40 197.361 115.620 72.130

41 193.771 116.187 72.080

42 172.636 127.711 71.360

43 177.186 128.629 71.650

44 168.085 126.791 71.060

45 163.531 125.870 70.770

46 171.127 130.726 71.400

47 177.625 117.680 71.420

48 161.337 114.334 70.760

49 165.522 113.809 70.910

50 181.850 117.034 71.670

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Mình sử dụng nova, sau khi xuất toạ độ = lệnh cdtep, dùng lưới tam giác và chạy ra được đường đồng mức rồi, kiểm tra cao độ = lệnh CDTN đúng rồi .

 

Bây giờ nhờ anh em viết cho đoạn lisp pick vào 1 điểm nào đó trên bình đồ thì xuất ra cao độ ở dạng text ngay vị trí đó

Cám ơn các bác trước nhá.

Bạn sử dụng code này xem nhé :

(defun c:pcd(/ cao po)
(setq cao (getdist "\n Nhap chieu cao chu :"))
(while (setq po (getpoint "\n Pick diem :"))
(wtxt (rtos (caddr po) 2 3) po 0 cao)
)
(princ)
)
;
(defun wtxt (txt p ang h / sty)
(setq sty (getvar "textstyle"))
(entmake (list (cons 0 "TEXT") (cons 7 sty) (cons 1 txt) (cons 10 p) (cons 11 p) 
(cons 72 0) (cons 73 1) (cons 50 ang) (cons 40 h) (cons 41 1))
)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thaistreetz    515

Không được đâu anh Tue ah. cái này không đơn giản chỉ là xuất ra toạ độ z của 1 điểm vì nova hình như nó không gán cao độ vào toạ độ z. em đã thử rồi nhưng không được.

cái này chắc phải nhờ cao thủ nào hiểu sâu hơn về thuật toán tính toán cao độ của nova mới làm được rồi.

một vấn đề nữa là hệ cao độ thành lập bằng lưới tam giác này cũng chỉ tồn tại trong 1 phiên làm việc của bản vẽ. sau khi close bản vẽ nó sẽ được xoá bỏ. khi mở bản vẽ ta phải thành lập lại lưới tam giác này.

bản thân em vẫn nghĩ là thông tin về cao độ của mỗi point khi được tra cứu nằm ở một phần tử nào đấy trong danh sách list của point đó, nhưng không biết cách nào tìm được số thứ tự phần tử đó.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tomboy    20
ý mình đại để như thế này : có các điểm biết toạ độ và cao độ , dùng lệnh CDTEP xuất vào trong nova, sau đó dùng lệnh LTG để tạo lưới tam giác giữa các điểm đó, dùng lệnh DM để chạy đường đông mức, các bước này Ok

bây giờ mình nhờ viết Lisp sao cho khi pick vào điểm bất kỳ trong khu vực đó thì nó sẽ suất ra cao độ dạng text tại điểm đó luôn (chỉ cần cao độ ko cần toạ độ) .nhưng cao độ tại điểm đó kiểm tra = lệnh CDTN thì phải trùng nhau

các bác đọc kỹ nhá

 

0 314.849 128.104 73.320

C1 314.249 124.642 73.140

2 308.692 114.815 72.620

3 313.051 117.720 72.800

M4 311.679 109.938 72.470

5 312.450 114.257 72.620

6 313.648 121.182 72.970

7 297.418 116.482 72.630

M8 301.176 115.925 72.630

9 284.171 118.031 72.520

M10 288.588 117.513 72.550

M11 293.001 116.997 72.590

M12 279.755 118.546 72.480

M13 270.879 119.567 72.470

M14 262.000 120.591 72.460

M15 308.034 119.924 72.730

M16 304.934 115.370 72.620

M7 240.457 123.084 72.440

M8 236.665 123.538 72.430

M9 244.245 122.633 72.440

M0 242.575 109.850 72.320

M1 238.936 110.444 72.320

M2 253.124 121.612 72.450

M3 229.085 124.441 72.420

M4 225.064 124.867 72.400

M5 217.024 125.724 72.350

M6 209.382 126.486 72.310

M27 213.003 126.151 72.330

M28 221.044 125.297 72.370

M29 223.434 119.226 72.100

M30 224.122 113.053 72.240

M31 227.655 112.368 72.310

C32 212.485 114.724 72.160

M33 232.876 123.990 72.430

34 198.516 127.495 72.260

35 202.137 127.160 72.270

36 191.195 128.391 72.130

37 183.874 129.284 72.000

38 187.534 128.836 72.060

39 194.856 127.943 72.190

40 197.361 115.620 72.130

41 193.771 116.187 72.080

42 172.636 127.711 71.360

43 177.186 128.629 71.650

44 168.085 126.791 71.060

45 163.531 125.870 70.770

46 171.127 130.726 71.400

47 177.625 117.680 71.420

48 161.337 114.334 70.760

49 165.522 113.809 70.910

50 181.850 117.034 71.670

mình hiểu vấn đề của bạn nói rồi, đó là cách nội suy cao độ từ 3 điểm đã biết toạ độ và độ cao và 3 điểm này phải tạo thành 1 tam giác, tam giác này của bạn đã được lập bằng lệnh của NOVA, do máy mình ko xài NOVA vả lại mình cũng chưa biết xài NOVA do vậy mình muốn bạn gửi bản vẽ đã có lưới tam giác đó để mình xử lý chúng. Bạn ạ, điều khó nhất trong nội suy cao độ chính là tạo lưới tam giác đó, tại vì khi chương trình tự động tạo lưới tam giác và nội suy cho đúng với địa hình khi và chỉ khi bản vẽ của bạn đã tạo được một hệ thống cao độ tương đối đầy đủ và dầy đặc rồi, do vậyđể đơn giản trong việc lập trình và kế thừa những gì mà người trước đã làm thì mình nên sử dụng lưới tam giác đó và nó sẽ đảm bảo rất đúng và chính xác như NOVA đấy.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Theo mình được biết, Nova tạo lưới tam giác dưới dạng các đối tượng "3D FACE". Vì vậy bạn chỉ cần viết các hàm như sau.

Hàm: Xác định một điểm có nằm trong hình chiếu của "3D FACE" lên mặt phẳng xoy ko?

Hàm: Tìm giao điểm giữa đường thẳng song song trục z và mặt phẳng tạo bởi ba điểm trong không gian. Thành phần z của giao điểm này chính là cao độ cần tìm.

Dùng cách duyệt thứ tự qua tập hợp "3D FACE" để tìm cao độ. Bạn xem thử cái này xem sao.

http://www.cadviet.com/upfiles/2/demoluoit...reen_stream.rar

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
huuhieu148    0
Bạn sử dụng code này xem nhé :

(defun c:pcd(/ cao po)
(setq cao (getdist "\n Nhap chieu cao chu :"))
(while (setq po (getpoint "\n Pick diem :"))
(wtxt (rtos (caddr po) 2 3) po 0 cao)
)
(princ)
)
;
(defun wtxt (txt p ang h / sty)
(setq sty (getvar "textstyle"))
(entmake (list (cons 0 "TEXT") (cons 7 sty) (cons 1 txt) (cons 10 p) (cons 11 p) 
(cons 72 0) (cons 73 1) (cons 50 ang) (cons 40 h) (cons 41 1))
)
)

Lisp này của bạn đúng khi pick vào đường đồng mức, còn pick vào khoảng giữa 2 đường đồng mức thì toàn xuất cao độ 0.000

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thaistreetz    515
Bạn xem thử cái này xem sao.

link : http://www.cadviet.com/upfiles/2/demoluoit...reen_stream.rar

 

anh có thể up lên trang khác không. dạo này down file từ cadviet về toàn báo not found thôi. kể cả file vừa up lên xong down xuống cũng thấy báo thế. không biết có fải tại máy em không nữa >"<

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
anh có thể up lên trang khác không. dạo này down file từ cadviet về toàn báo not found thôi. kể cả file vừa up lên xong down xuống cũng thấy báo thế. không biết có fải tại máy em không nữa >"

Tên file sai thì cadviet báo not found là đúng rồi mà!

 

làm gì có link nào thế này đâu

_http://www.cadviet.com/upfiles/2/demoluoit...reen_stream.rar

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
kiukiu.    1
ý mình đại để như thế này : có các điểm biết toạ độ và cao độ , dùng lệnh CDTEP xuất vào trong nova, sau đó dùng lệnh LTG để tạo lưới tam giác giữa các điểm đó, dùng lệnh DM để chạy đường đông mức, các bước này Ok

bây giờ mình nhờ viết Lisp sao cho khi pick vào điểm bất kỳ trong khu vực đó thì nó sẽ suất ra cao độ dạng text tại điểm đó luôn (chỉ cần cao độ ko cần toạ độ) .nhưng cao độ tại điểm đó kiểm tra = lệnh CDTN thì phải trùng nhau

các bác đọc kỹ nhá

 

0 314.849 128.104 73.320

C1 314.249 124.642 73.140

2 308.692 114.815 72.620

3 313.051 117.720 72.800

M4 311.679 109.938 72.470

5 312.450 114.257 72.620

6 313.648 121.182 72.970

7 297.418 116.482 72.630

M8 301.176 115.925 72.630

9 284.171 118.031 72.520

M10 288.588 117.513 72.550

M11 293.001 116.997 72.590

M12 279.755 118.546 72.480

M13 270.879 119.567 72.470

M14 262.000 120.591 72.460

M15 308.034 119.924 72.730

M16 304.934 115.370 72.620

M7 240.457 123.084 72.440

M8 236.665 123.538 72.430

M9 244.245 122.633 72.440

M0 242.575 109.850 72.320

M1 238.936 110.444 72.320

M2 253.124 121.612 72.450

M3 229.085 124.441 72.420

M4 225.064 124.867 72.400

M5 217.024 125.724 72.350

M6 209.382 126.486 72.310

M27 213.003 126.151 72.330

M28 221.044 125.297 72.370

M29 223.434 119.226 72.100

M30 224.122 113.053 72.240

M31 227.655 112.368 72.310

C32 212.485 114.724 72.160

M33 232.876 123.990 72.430

34 198.516 127.495 72.260

35 202.137 127.160 72.270

36 191.195 128.391 72.130

37 183.874 129.284 72.000

38 187.534 128.836 72.060

39 194.856 127.943 72.190

40 197.361 115.620 72.130

41 193.771 116.187 72.080

42 172.636 127.711 71.360

43 177.186 128.629 71.650

44 168.085 126.791 71.060

45 163.531 125.870 70.770

46 171.127 130.726 71.400

47 177.625 117.680 71.420

48 161.337 114.334 70.760

49 165.522 113.809 70.910

50 181.850 117.034 71.670

 

Cái này dùng lệnh CDT trong NOVA thôi bác ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thiep    263
Mình sử dụng nova, sau khi xuất toạ độ = lệnh cdtep, dùng lưới tam giác và chạy ra được đường đồng mức rồi, kiểm tra cao độ = lệnh CDTN đúng rồi .

 

Bây giờ nhờ anh em viết cho đoạn lisp pick vào 1 điểm nào đó trên bình đồ thì xuất ra cao độ ở dạng text ngay vị trí đó

Cám ơn các bác trước nhá.

Lisp Thiep viết yêu cầu người dùng pick điểm cần xác định độ cao, pick contour thứ 1 gần điểm cần xác định độ cao, pick contour thứ 2 gần điểm cần xác định độ cao:

;;; LISP TIM DO CAO DIEM, COPYRIGHT BY THIEP
;;; FREE FROM CADVIET.COM-----------
(defun SAVE_MODE ()
 (command "UCS" "W" "")
 (setq	OLD_OSMODE    (getvar "OSMODE")
OLD_CECOLOR   (getvar "CECOLOR")
OLD_AUTOSNAP  (getvar "AUTOSNAP")
OLD_ORTHOMODE (getvar "ORTHOMODE")
 )
 (setvar "cmdecho" 0)
)
(defun RESTORE ()
 (setvar "osmode" OLD_OSMODE)
 (setvar "AUTOSNAP" OLD_AUTOSNAP)
 (setvar "ORTHOMODE" OLD_ORTHOMODE)
 (setvar "CECOLOR" OLD_CECOLOR)
 (setvar "cmdecho" 1)
)
(defun aLine (ModelS p01 p02)
 (vla-AddLine
   ModelS
   (vlax-3d-point p01)
   (vlax-3d-point p02)
 )
)
(defun aText (model z p0 h TP / obj)
 (setq	obj (vla-AddText
      *Model*
      (rtos z 2 TP)
      (vlax-3d-point p0)
      h
    )
 )
 (vla-put-Alignment obj acAlignmentBottomLeft)
 (vla-put-TextAlignmentpoint obj (vlax-3d-point p0))
)
(defun DXF (code en) (cdr (assoc code (entget en))))
;;;===================
(defun c:heipoint (/ p0	   p01	 p1    p2    p21   p3	 p5    p6
	     p7	   cont1 cont2 obj1  obj2  objL1 objL2 objL3
	     objT  z
	    )
 (SAVE_MODE)
 (setq	ActDoc	(vla-get-ActiveDocument (vlax-get-acad-object))
*Model*	(vla-get-ModelSpace ActDoc)
 )
 (vla-StartUndoMark ActDoc)
 (setq	h (cond	(h)
	(5)
  )
 )
 (setq oldh h)
 (setq	h (getreal (strcat "\nChieu cao chu <"
		   (rtos oldh 2 1)
		   "> : "

	   )
  )
 )
 (if (null h)
   (setq h oldh)
 )
 (setq	TP (cond	(TP)
	(5)
  )
 )
 (setq oldTP TP)
 (setq	TP (getint (strcat "\nBao nhieu chu so thap phan <"
		   (itoa oldTP)
		   "> : "

	   )
  )
 )
 (if (null TP)
   (setq TP oldTP)
 )
 (setvar "osmode" 8)
 (while (setq p0 (getpoint "\nPick vao diem can xac dinh do cao:"))
   (setq cont1	(car (entsel "\nPick contour gan nhat thu 1:"))
  obj1	(vlax-ename->vla-object cont1)
  cont2	(car (entsel "\nPick contour gan nhat thu 2:"))
  obj2	(vlax-ename->vla-object cont2)
  p1	(vlax-curve-getClosestpointTo obj1 p0)
  p2	(vlax-curve-getClosestpointTo obj2 p0)
  p21	(list (car p2) (cadr p2) (caddr p1))

   )
   (setvar "osmode" 0)
   (setq objL1	(aLine *Model* p1 p2)
  objL2	(aLine *Model* p1 p21)
  p3	(vlax-curve-getClosestpointTo objL2 p0)
  objL3	(aLine *Model* p21 p2)
   )
   (vla-move objL3 (vlax-3d-point p21) (vlax-3d-point p3))
   (vla-update objL3)
   (setq p5 (vlax-curve-getEndPoint objL3)
  p6 (inters p3 p5 p1 p2)
  z (caddr p6)
  p7 (list (car p0) (cadr p0) z)
   )
   (vla-delete objL1)
   (vla-delete objL2)
   (vla-delete objL3)
   (entdel (ssname (ssget p0) 0))
   (vla-addpoint *Model* (vlax-3d-point p7))
   (setq objT (aText *Model* z p7 h TP))
   (setvar "osmode" 8)
 )
 (vla-EndUndoMark ActDoc)
 (RESTORE)
 (princ)
)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anpha3    2

Bản đồ của em tỷ lệ 1/10.000 em vạch tuyến bằng pl

Từ điểm đầu đến điểm cuối tuyến đường Polyline cắt đường đồng mức 55 điểm từ điểm 1 – 55 trong đó có 2 G là G1 và G2.

Nhờ Các bác viết hộ lisp nội suy cao độ tại các điểm từ điểm 1 đến điểm 55. và đo khoảng cách từ điểm 1 đến điểm 2 và từ điểm 2 đến điểm 3…và lần lươth đến điểm 55. Sau đó xuất ra file excel gồm 2 cột như sau:

 

TT điểm cắt Khoảng cách Cao độ

 

1

….

55

 

Em up File bình đồ của em như sau:http://www.cadviet.com/upfiles/3/98866_ban_do_110kv10000.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hiepttr    523

Nhờ các Bác Giúp đỡ viết lisp trên

tại sao ko dung TOPO nhỉ ?! crack thì đã vô tư, chừa thời gian nghiên cứu cái khác hay hơn chẳng hạn ! hê ... hê ...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hiepttr    523

cái này bạn nhờ bất cứ 1 (kỹ sư cầu đường đang làm đồ án tốt nghiệp) nào cũng chơi đc bằng Topo tuốt !

Nhanh, gọn, .... nhẹ.....đầu, Lisp làm gì bác ơi !

Lưu ý: nếu bạn nhờ viết lisp thì chỉ nhờ đến đoạn tính khoảng cách giữa các cọc thôi, cao độ lấy đúng chẳn cao độ đồng mức mà !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anpha3    2

Bác ơi có thể nội suy các đường đồng mức cắt theo tỷ lệ bản đồ ( 1: 10.000; hoặc 1: 5000....) . Trên đỉnh cao có các text cao độ rồi mà. mỗi đường đồng mức có 1 cao độ chênh cao.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hiepttr    523

Bác ơi có thể nội suy các đường đồng mức cắt theo tỷ lệ bản đồ ( 1: 10.000; hoặc 1: 5000....) . Trên đỉnh cao có các text cao độ rồi mà. mỗi đường đồng mức có 1 cao độ chênh cao.

Có thể ko cần chú ý đến cái TL khi tính cao độ trong cái BĐ mà các đường đồng mức đã bị cho h= 0 này được ko?!

Mình đã gợi ý rồi, dù làm bằng thủ công hay phần mềm thì bạn cũng phải "định nghĩa" đường đồng mức lại ...

Bạn chưa bao giờ thấy SV cầu đường làm đồ án ???

Được BĐ vậy là chuẩn lắm rùi đó !

p/s: Nếu bạn nhận cao độ chỉ tại những chổ đđm có text thì sai số khá lớn đó

Chúc bạn làm "đồ án" suôn sẻ ... ---> sắp thông đồ án rùi :blink: hic...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hiepttr    523

Bản vẽ bạn gởi lên thì các đường đồng mức đều có Z=0 tất cả, vậy sao lấy cao độ được?

srr vì spam, nhưng vì e thấy "ngứa mồm" quá!

Vì bình đồ dởm nên bác có thể chỉ cần cho chủ topic cái cần câu để câu đc cái khoảng cách giữa các điểm giao giữa tuyến và đường đồng mức là được rồi !

Vì cuối cùng chủ topic muốn làm trên excel nên e nghĩ cái này làm thủ công trên excel thì đở đau đầu hơn (vì cao độ đđm thì chỉ "bước đều" kạch kạch kạch ...)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anpha3    2

Khoảng cách được lấy như sau:

1.Điểm đầu tuyến đến giao điểm đường đồng mức.

2.Giữa các điểm giao giữa tuyến và đường đồng mức

3.Các giao điểm đường đồng mức đến góc như G1;G2.

4.Các giao điểm góc G1;G2 đến đường đồng mức.

5.Giao điểm đường đồng mức đến điểm cuối tuyến.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123
Bác ơi có thể nội suy các đường đồng mức cắt theo tỷ lệ bản đồ ( 1: 10.000; hoặc 1: 5000....) . Trên đỉnh cao có các text cao độ rồi mà. mỗi đường đồng mức có 1 cao độ chênh cao.

Hề hề hề,

Vấn đề của bạn ở đây là độ chênh cao giữa các đường đồng mức có giống nhau hay không?? Và mỗi tuyến của bạn có chắc chắn chỉ cắt các đường đồng mức này một lần hay không??? Nghĩa là mỗi tuyến của bạn chỉ đi theo một chiều lên hay xuống.

Nếu câu trả lời của bạn là khẳng định thì bài toán của bạn có thể giải được. Còn nếu là phủ định thì phải cần biết thêm các dữ kiện khác nữa bạn ạ.

Hề hề hề,...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hiepttr    523

Hề hề hề,

Vấn đề của bạn ở đây là độ chênh cao giữa các đường đồng mức có giống nhau hay không?? Và mỗi tuyến của bạn có chắc chắn chỉ cắt các đường đồng mức này một lần hay không??? Nghĩa là mỗi tuyến của bạn chỉ đi theo một chiều lên hay xuống.

Nếu câu trả lời của bạn là khẳng định thì bài toán của bạn có thể giải được. Còn nếu là phủ định thì phải cần biết thêm các dữ kiện khác nữa bạn ạ.

Hề hề hề,...

Dễ chi mà bắt lỗi được Bác Bình ... hic...

Đã gọi là đồng mức thì phải thế bác ạh ! người ta cắt quả núi từng lát, từng lát "đều như máy" thế là đc đường đồng mức !

<< tuyến cắt 1 đường đồng mức 2 hoặc >2 lần là chuyện bình thường bác ạh !>>

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123
Dễ chi mà bắt lỗi được Bác Bình ... hic... Đã gọi là đồng mức thì phải thế bác ạh ! người ta cắt quả núi từng lát, từng lát "đều như máy" thế là đc đường đồng mức ! << tuyến cắt 1 đường đồng mức 2 hoặc >2 lần là chuyện bình thường bác ạh !>>

Hề hề hề,

Sở dĩ mình hỏi vậy vì khi xem trên bản vẽ bạn anpha3 gửi, có một số đường đồng mức có text ghi cao độ dè lên, mình thử kiểm tra thì có vẻ như các độ chênh cao giữa các đường dồng mức này không như nhau bác ạ. Nếu nó là như nhau thì có thể xác định được độ chênh cao này trên cơ sở cao độ đầu tuyến, cao độ cuối tuyến và số lượng các giao điểm của tuyến với các đường đồng mức nếu như tuyến chỉ có một chiều lên dần hoặc xuống dần.

Nếu tuyến cắt một đường đồng mức tại hai điểm có nghĩa là tuyến có leo đèo tụt dốc.Với cái bản vẽ chả có cao độ của các đường đồng mức này thì sẽ rất khó để xác định cao độ của giao điểm bác ạ.

Ấy là cách nghĩ của mình thôi vì mình vốn chả phải dân giao thông hay trắc địa gì nên cứ đoán mò vậy. Nếu bạn anpha3 đồng ý với cách hiểu của mình như vậy thì mình có thể viết giùm bạn ấy cái lisp theo yêu cầu. Còn nếu không đồng ý thì có nhẽ bạn ấy cần giải thích thêm ít nhiều thì may ra mình mới có thể giúp bạn ấy được.

Hề hề hề,...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×